varying highp vec2 textureCoordinate;

uniform sampler2D inputImageTexture;

uniform lowp float hazeDistance;

void main() {
    highp vec4 color = vec4(1.0);

    highp float  d = hazeDistance;

    highp vec4 c = texture2D(inputImageTexture, textureCoordinate);

    c = (c - d * color) / (1.0 -d);

    gl_FragColor = c;
}