varying highp vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform lowp float tint;

void main() {
    lowp vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    gl_FragColor = vec4(textureColor.x,
    textureColor.y + textureColor.w * -tint,
    textureColor.z,
    textureColor.w
    );
}