varying highp vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform lowp float warmth;

void main() {
    lowp vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    lowp vec4 out_color = vec4(textureColor.x + warmth, textureColor.y, textureColor.z - warmth, textureColor.w);
    gl_FragColor = out_color;
}